//
//  View.swift
//  Etch
//
//  Created by Mark Meretzky on 11/12/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	let path: CGMutablePathRef = CGPathCreateMutable();	//born empty;

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)
		backgroundColor = UIColor.whiteColor();
	}

	override func touchesBegan(touches: NSSet, withEvent event: UIEvent) {
		let touch: UITouch = touches.anyObject() as UITouch;
		let p: CGPoint = touch.locationInView(self);
		CGPathMoveToPoint(path, nil, p.x, p.y);
	}

	override func touchesMoved(touches: NSSet, withEvent event: UIEvent) {
		let touch: UITouch = touches.anyObject() as UITouch;
		let p: CGPoint = touch.locationInView(self);
		CGPathAddLineToPoint(path, nil, p.x, p.y);
		setNeedsDisplay();	//trigger a call to drawRect(_:)
	}

	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.

	override func drawRect(rect: CGRect) {
		// Drawing code
		let c: CGContextRef = UIGraphicsGetCurrentContext();
		CGContextBeginPath(c);
		CGContextAddPath(c, path);
		CGContextSetRGBStrokeColor(c, 0, 0, 0, 1);	//black, opaque
		CGContextStrokePath(c);
	}

}
